Bug 131511 - kernel blows stack on boot aparently somewhere in acpi
kernel blows stack on boot aparently somewhere in acpi
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-01 16:10 EDT by Matthew Galgoci
Modified: 2013-03-06 00:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-15 11:22:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Galgoci 2004-09-01 16:10:54 EDT
Description of problem:

I installed two 64bit adaptec 29160 scsi hbas into an intel tiger4
system. Each hba is attached to an external disk array, containing
14 disks, 7 on each controller (split backplain).
                                                                     
                                            
When I boot the system with the disk tray turned on (disks spinning),
the kernel blows stack somewhere in acpi and reboots after about 30
seconds.
                                                                     
                                            
If the disk tray is powered off, the kernel boots fine I turn the tray
one, load the aic7xxx driver, and all is well the option rom scanning
for the adaptec cards is turned off in the ia64 bios so the adaptec
bios does not even get a chance to load and potentiall install a wacky
interrupt handler.
                                                                     
                                            
<theory>
The kernel blowing stack happens even with an initrd that does not
contain the aic7xxx driver so I am thinking it has something to do
with the intel acpi finding the hbas, making some data structures
for them (with info about the disks attached most likely)
and then when our acpi parser trys to parse the modified acpi tables,
we recurse and the kernel stack goes boom.
</theory>
                                                                     
                                            
Keep in mind that the aic7xxx driver is not even in the picture here,
and that we blow stack so early in the boot process that we are still
parsing the acpi tables.


Version-Release number of selected component (if applicable):

Kernel version 2.4.21-20.EL

How reproducible:

Every time

Steps to Reproduce:
1. power system and disk tray off
2. power disk tray on
3. power system on
4. wait for kernel to go boom during the acpi parsing part of kernel
initialization
Comment 1 Matthew Galgoci 2004-09-01 16:12:49 EDT
PS - I will attach a kernel output to serial console as soon as possible.
Comment 2 Matthew Galgoci 2004-09-15 11:22:06 EDT
Applied updated firmware package from Intel, 

BIOS Release Package 926.P01.126 with BMC 29, SDR 18, HSC 12

Issue went away and the machine seems generally happier and somehow
faster.

I am closing this bug - NOTABUG

Note You need to log in before you can comment on or make changes to this bug.